/**********************************************************************/
/* SNDMAIL2 - Send EMAIL without submitting a batch job               */
/*                                                                    */
/* Gary Forghetti                                                     */
/* 05/25/2000                                                         */
/* Tivoli Product Introduction                                        */
/**********************************************************************/

arg email_id

wvar.1="helo SMTP"
wvar.2="mail from:<"opid()"@"cursys()">"
wvar.3="rcpt to:<"email_id">"
wvar.4="data"
wvar.5="Date:    "date('n')" "time()" LCL"
wvar.6="From:    "opid()" - NetView Domain "domain()" - "cursys()
wvar.7="To:      "email_id
wvar.8="Subject: Test Mail"
wvar.9="This message was sent directly to SMTP without submitting a"
wvar.10="batch job."
wvar.11="."
wvar.12="QUIT"

wvar.0=12

/* Create a SAFE from stem variable                                  */
'pipe stem wvar. | safe SMTPSAFE'

/* Call sendmail to send the Email                                   */
'sendmail SMTPSAFE RTRNSAFE'

/* Check return code, if not zero display message in RTRNSAFE        */
if rc <> 0
   then
       'pipe safe RTRNSAFE | collect | console'
